Skip to content

Add a state to a lifecycle

POST
/api/v1/projects/{projectId}/lifecycles/{lifecycleId}/states
curl --request POST \
--url 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lifecycles/example/states?sandboxId=example' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "description": "example", "color": "example", "type": "example", "lifecycleStatus": "example", "displayOrder": 1 }'

Stages the new state into the change request named by sandboxId; nothing applies until the request is promoted.

projectId
required
string format: uuid
lifecycleId
required
string
sandboxId
required
string
Media typeapplication/json
object
name
required
string
description
string | null
color
string | null
type
required
string
lifecycleStatus
required
string
displayOrder
required
integer format: int32

Example generated

{
"name": "example",
"description": "example",
"color": "example",
"type": "example",
"lifecycleStatus": "example",
"displayOrder": 1
}

OK

Media type*/*
object
id
required
string
name
required
string
lifecycleStatus
required
string
color
string | null
type
required
string
displayOrder
required
integer format: int32